Debian Bug report logs - #599582
[2.6.30 -> 2.6.32 regression] no sound from Fujitsu Pi laptop unless headphones plugged in

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Jean-Louis Biasini <jldebian@gmail.com>

Date: Sat, 9 Oct 2010 08:30:01 UTC

Severity: important

Tags: fixed-upstream, moreinfo, patch, upstream

Merged with 601727, 601728, 613271

Found in versions 2.6.32-30, linux-2.6/2.6.32-26

Fixed in versions linux-2.6/2.6.35-1~experimental.3, linux-2.6/2.6.36-1~experimental.1

Forwarded to http://thread.gmane.org/gmane.linux.kernel.stable/35529

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#599582; Package linux-2.6.32-5-amd64. (Sat, 09 Oct 2010 08:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Louis Biasini <jldebian@gmail.com>:
New Bug report received and forwarded. Copy sent to unknown-package@qa.debian.org. (Sat, 09 Oct 2010 08:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jean-Louis Biasini <jldebian@gmail.com>
To: submit@bugs.debian.org
Subject: [linux-2.6.32-5-amd64] problem with sound (pulseaudio/alsa broken?)
Date: Sat, 09 Oct 2010 10:25:14 +0200
Package: linux-2.6.32-5-amd64
Severity: normal

--- Please enter the report below this line. ---

Hello and thanks for your work en Debian :)

Since last update no sound anymore. The problem is indeed very strange: 
No sound from the speaker but if I plug a jack into my laptop's headphone plug I get the sound from it.

My driver is HDA intel on a pi 1505 fujitsu laptop

I don't know how to gather more info about this. If you need any, please ask.
Anyway upgrating to 2.6.35-trunk-amd64 solve the problem.

cheers

Jean-Louis
--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.35-trunk-amd64

Debian Release: squeeze/sid
  988 testing         security.debian.org 
  988 testing         mirror.home-dn.net 
  988 testing         deb-mir1.naitways.net 
  988 stable          volatile.debian.org 
  984 stable          security.debian.org 
  984 stable          mirror.home-dn.net 
  984 stable          deb-mir1.naitways.net 
  500 unstable        ftp.berlios.de 
  500 sid             www.lamaresh.net 
  102 unstable        mirror.home-dn.net 
  102 unstable        deb-mir1.naitways.net 
  101 experimental    mirror.home-dn.net 
  101 experimental    ftp.tu-graz.ac.at 

--- Package information. ---
Package's Depends field is empty.

Package's Recommends field is empty.

Package's Suggests field is empty.









Bug reassigned from package 'linux-2.6.32-5-amd64' to 'linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 09 Oct 2010 15:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599582; Package linux-2.6. (Fri, 29 Jul 2011 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 29 Jul 2011 06:27:03 GMT) Full text and rfc822 format available.

Message #12 received at 599582@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jean-Louis Biasini <jldebian@gmail.com>
Cc: 599582@bugs.debian.org
Subject: Re: [linux-2.6.32-5-amd64] problem with sound (pulseaudio/alsa broken?)
Date: Fri, 29 Jul 2011 08:23:24 +0200
forcemerge 601727 599582
fixed 601727 linux-2.6/2.6.35-1~experimental.3
quit

Hi Jean-Louis,

Jean-Louis Biasini wrote:

> Package: linux-2.6.32-5-amd64
[...]
> Since last update no sound anymore. The problem is indeed very strange: 
> No sound from the speaker but if I plug a jack into my laptop's
> headphone plug I get the sound from it.
>
> My driver is HDA intel on a pi 1505 fujitsu laptop

Sorry for the long silence.  See http://bugs.debian.org/601727 for some
investigation and a possible workaround.

[...]
> Anyway upgrating to 2.6.35-trunk-amd64 solve the problem.

Thanks!  That's very useful to know.

Regards,
Jonathan




Forcibly Merged 599582 601727 601728. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 29 Jul 2011 06:27:04 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions linux-2.6/2.6.35-1~experimental.3. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 29 Jul 2011 06:27:07 GMT) Full text and rfc822 format available.

Forcibly Merged 599582 601727 601728 613271. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 29 Jul 2011 09:28:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599582; Package linux-2.6. (Sat, 24 Dec 2011 10:51:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 24 Dec 2011 10:51:27 GMT) Full text and rfc822 format available.

Message #23 received at 599582@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jean-Louis Biasini <jldebian@gmail.com>
Cc: 599582@bugs.debian.org
Subject: Re: problem with sound (pulseaudio/alsa broken?)
Date: Sat, 24 Dec 2011 04:49:55 -0600
Hi again,

Jean-Louis Biasini wrote:

> Since last update no sound anymore. The problem is indeed very strange: 
> No sound from the speaker but if I plug a jack into my laptop's
> headphone plug I get the sound from it.
>
> My driver is HDA intel on a pi 1505 fujitsu laptop

Some more details would be useful:

 - please attach output from "reportbug --template linux-image-$(uname -r)".
   This will give us more information about your hardware, including
   which HDA "patch" is in use (ALC861?).

 - please also attach output from the alsa-info.sh script[1].

 - if you have time to test a few kernels between the squeeze kernels
   and v2.6.35 from http://snapshot.debian.org/, that would be
   helpful in narrowing down where to look for the fix.

Also, just to check: what kernel do you use now, and is it affected?

Thanks.

Happy holidays,
Jonathan

[1] http://git.alsa-project.org/?p=alsa-driver.git;a=blob_plain;f=utils/alsa-info.sh




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599582; Package linux-2.6. (Sat, 24 Dec 2011 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 24 Dec 2011 19:03:04 GMT) Full text and rfc822 format available.

Message #28 received at 599582@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jean-Louis Biasini <jldebian@gmail.com>
Cc: 599582@bugs.debian.org
Subject: Re: problem with sound (pulseaudio/alsa broken?)
Date: Sat, 24 Dec 2011 12:59:09 -0600
Jean-Louis Biasini wrote:

> hi,
>
> I'm sorry but I changed my laptop so I cannot test on this bug any
> further...

No problem --- the name of the laptop should be enough for someone to
go on.  Thanks for letting us know.

> thanks anyway for your interest.
>
> merry chrismas
>
> Jean-Louis Biasini




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599582; Package linux-2.6. (Sun, 01 Jan 2012 09:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Jan 2012 09:15:06 GMT) Full text and rfc822 format available.

Message #33 received at 599582@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 599582@bugs.debian.org
Cc: Jose Manuel Castroagudin <j@chav.es>, stas zytkiewicz <stas.zytkiewicz@gmail.com>, Rafael Varela Pet <rpet@mundo-r.com>, Jean-Louis Biasini <jldebian@gmail.com>
Subject: [2.6.30 -> 2.6.32 regression] no sound from Fujitsu Pi laptop unless headphones plugged in
Date: Sun, 1 Jan 2012 03:11:42 -0600
retitle 599582 [2.6.30 -> 2.6.32 regression] no sound from Fujitsu Pi laptop unless headphones plugged in
tags 599582 + moreinfo
quit

Jean-Louis Biasini wrote:

> No sound from the speaker but if I plug a jack into my laptop's
> headphone plug I get the sound from it.
>
> My driver is HDA intel on a pi 1505 fujitsu laptop

Summary of this bug so far:

 - All reporters got no sound unless something is plugged into the
   headphone jack.  When headphones are plugged in, sound only goes
   through the headphones, as you'd hope.

 - Jean-Louis Biasini is using a Fujitsu Pi 1505 laptop.

   A 2.6.32-5-amd64 kernel from 2010-10-09 exhibits the problem.
   A 2.6.35-trunk-amd64 kernel from the same time does not exhibit the problem.

 - Jose Manuel Castroagudin is using a Fujitsu Pi 2515.

   A 2.6.32-5-686 kernel from 2010-10-29 exhibits the problem.
   A 2.6.30 kernel does not.

 - Stas Zytkiewicz is using a Dell Inspiron 15.

   2.6.32-27 exhibits the problem.
   2.6.36 from experimental does not exhibit the problem.

   snd-hda-intel.model=hp-dv5 also avoids trouble.

 - Rafael Varela Pet is using a Fujitsu-Siemens Amilo Pi 1505.

   2.6.32-30 exhibits the problem.
   A 2.6.26-2-amd64 kernel from the same time does not.

Next steps to move this forward:

 1. Please attach output from the alsa-info.sh script with and without
    headphones plugged in.

 2. Trying some kernels between 2.6.32 and 2.6.35 from
    http://snapshot.debian.org/ would help narrow down when the fix
    was introduced.

Thanks again, and sorry for the trouble,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599582; Package linux-2.6. (Sun, 01 Jan 2012 09:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 01 Jan 2012 09:15:15 GMT) Full text and rfc822 format available.

Message #38 received at 599582@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 599582@bugs.debian.org
Cc: Jose Manuel Castroagudin <j@chav.es>, stas zytkiewicz <stas.zytkiewicz@gmail.com>, Rafael Varela Pet <rpet@mundo-r.com>, Jean-Louis Biasini <jldebian@gmail.com>
Subject: Re: [2.6.30 -> 2.6.32 regression] no sound from Fujitsu Pi laptop unless headphones plugged in
Date: Sun, 1 Jan 2012 03:13:24 -0600
Jonathan Nieder wrote:

> Next steps to move this forward:
>
>  1. Please attach output from the alsa-info.sh script with and without
>     headphones plugged in.

Silly me --- forgot to mention where[1] the alsa-info.sh script can be
found.

Sorry for the noise.
Jonathan

[1] http://www.alsa-project.org/alsa-info.sh




Changed Bug title to '[2.6.30 -> 2.6.32 regression] no sound from Fujitsu Pi laptop unless headphones plugged in' from '[linux-2.6.32-5-amd64] problem with sound (pulseaudio/alsa broken?)' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 Jan 2012 09:15:39 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 01 Jan 2012 09:15:42 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#599582; Package linux-2.6. (Thu, 16 Feb 2012 01:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 16 Feb 2012 01:00:04 GMT) Full text and rfc822 format available.

Message #47 received at 599582@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 599582@bugs.debian.org
Cc: Jose Manuel Castroagudin <j@chav.es>, stas zytkiewicz <stas.zytkiewicz@gmail.com>, Rafael Varela Pet <rpet@mundo-r.com>
Subject: Re: [2.6.30 -> 2.6.32 regression] no sound from Fujitsu Pi laptop unless headphones plugged in
Date: Wed, 15 Feb 2012 18:56:18 -0600
tags 599582 + upstream patch moreinfo
quit

Hi all,

Jonathan Nieder wrote:

> Next steps to move this forward:

Do you still have access to the affected hardware?

If so, what is the newest squeeze kernel you've been able to reproduce
this with?  (The kernel from squeeze should work fine on wheezy/sid,
though if you use nouveau you should switch to the fbdev driver
first[1].)

Can you try this patch?  Instructions for testing a patched kernel are
at [2].

Thanks,
Jonathan

[1] /usr/share/doc/xserver-xorg-video-nouveau/README.Debian
    http://pkg-xorg.alioth.debian.org/faq/general.html
[2] http://kernel-handbook.alioth.debian.org/ch-common-tasks.html
    or the corresponding page in the debian-kernel-handbook package

-- >8 --
From: Takashi Iwai <tiwai@suse.de>
Date: Tue, 1 Dec 2009 12:19:37 +0100
Subject: ALSA: hda - Add a pin-fix for FSC Amilo Pi1505

commit cfc9b06f0befe50ef02253f72b76946363549031 upstream.

FSC Amilo Pi 1505 has a buggy BIOS and doesn't set up the HP and
speaker pins properly.  Add the pinfix entry for that.

Reference: Novell bnc#557403
	https://bugzilla.novell.com/show_bug.cgi?id=557403

Signed-off-by: Takashi Iwai <tiwai@suse.de>
Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
---
 sound/pci/hda/patch_realtek.c |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index 64190957615b..81dd0141a963 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -14686,6 +14686,27 @@ static struct alc_config_preset alc861_presets[] = {
 	},
 };
 
+/* Pin config fixes */
+enum {
+	PINFIX_FSC_AMILO_PI1505,
+};
+
+static struct alc_pincfg alc861_fsc_amilo_pi1505_pinfix[] = {
+	{ 0x0b, 0x0221101f }, /* HP */
+	{ 0x0f, 0x90170310 }, /* speaker */
+	{ }
+};
+
+static const struct alc_fixup alc861_fixups[] = {
+	[PINFIX_FSC_AMILO_PI1505] = {
+		.pins = alc861_fsc_amilo_pi1505_pinfix
+	},
+};
+
+static struct snd_pci_quirk alc861_fixup_tbl[] = {
+	SND_PCI_QUIRK(0x1734, 0x10c7, "FSC Amilo Pi1505", PINFIX_FSC_AMILO_PI1505),
+	{}
+};
 
 static int patch_alc861(struct hda_codec *codec)
 {
@@ -14709,6 +14730,8 @@ static int patch_alc861(struct hda_codec *codec)
 		board_config = ALC861_AUTO;
 	}
 
+	alc_pick_fixup(codec, alc861_fixup_tbl, alc861_fixups);
+
 	if (board_config == ALC861_AUTO) {
 		/* automatic parse from the BIOS config */
 		err = alc861_parse_auto_config(codec);
-- 
1.7.9





Added tag(s) upstream and patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 16 Feb 2012 01:00:06 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://thread.gmane.org/gmane.linux.kernel.stable/35529'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 25 Nov 2012 09:36:06 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 25 Nov 2012 20:30:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:28:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.